/***************************************************************************
                          gas_cloud.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GAS_CLOUD_H
#define GAS_CLOUD_H

#include "gameobject.h"

/**
  *@author funthing (Matthias Zisler)
  */

class Timer;
class Sprite;

class Gas_cloud : public Gameobject
{
public: 
	Gas_cloud(int _x, int _y, bool _op, Map_Sample* _sample);
	~Gas_cloud();

	void act();
	void show();
	bool get_t();

private:

	bool op;
	Sprite* sprite;
	Timer* timer;
};

#endif
